/**
* Copyright (c) 2018 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/

.list {
  display: flex;
  flex-direction: column;
  list-style: none;
  margin-bottom: 0;
  padding-left: 0;

  .list-title {
    color: #686f72;
    display: block;
  }

  .list-sub-title {
    color: #878787;
    display: block;
    font-size: 16px;
  }

  .list-sub-header {
    border-bottom-color: transparent;
    border-bottom-width: 0;
    display: block;
    list-style: none;
    margin-top: 20px;
    padding-left: 0;
    padding-right: 0;
  }

  .list-item {
    align-items: center;
    background-color: #fff;
    border-bottom: 1px solid lighten($dark, 75%);
    border-radius: inherit;
    display: flex;
    justify-content: space-between;
    line-height: inherit;
    overflow: inherit;
    padding: $padding-base-y $padding-base-x;
    position: relative;
    text-decoration: inherit;
    width: 100%;

    ul {
      display: flex;
      flex-direction: column;
      margin-bottom: 0;
      padding-left: 0;
      width: 100%;
    }

    .avatar {
      float: right;
    }

  }
}

.list-group {
  display: flex;
  flex-direction: column;
  margin-bottom: 0;
  padding-left: 0;
  
  .list-group-item {
    background-color: #fff;
    border: 1px solid lighten($dark, 75%);
    border-radius: inherit;
    display: block;
    line-height: inherit;
    margin-bottom: -1px;
    overflow: inherit;
    padding: $padding-base-y $padding-lg-y;
    position: relative;
    text-decoration: inherit;
    
    &.active {
      background-color: $primary !important;
      border-color: $primary !important;
      color: $white;
      
      * {
        color: unset;
      }
    }
  }
  
  .list-group-item:first-child {
    border-top-left-radius: $global-border-radius;
    border-top-right-radius: $global-border-radius;
  }  
  
  .list-group-item:last-child {
    border-bottom-left-radius: $global-border-radius;
    border-bottom-right-radius: $global-border-radius;
  }
  
  &.list-group-bd-n .list-group-item {
    border-left: 0;
    border-radius: 0;
    border-right: 0;
  }
  
  .list-group-item-action {
    color: #495057;
    font-size: inherit;
    text-align: inherit;
    width: 100%;
    
    &:hover {
      background-color: darken($white, 2%);
      text-decoration: none;
    }
    
    &:disabled {
      color: darken($white, 20%);
    }
  }
  

  &.list-group-line {
    .list-group-item {
      border-left: 0;
      border-radius: 0;
      border-right: 0;
    }
  }
}
